Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4802)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4803)
@@ -2698,22 +2673,23 @@
                                                            !< non-standard vertical index bounds
 
+
        IF ( TRIM( restart_data_format_output ) == 'fortran_binary' )  THEN
 
           IF ( ALLOCATED( pcm_heatrate_av ) )  THEN
              CALL wrd_write_string( 'pcm_heatrate_av' )
-             WRITE ( 14 )  pcm_heatrate_av
+             WRITE( 14 )  pcm_heatrate_av
           ENDIF
 
           IF ( ALLOCATED( pcm_latentrate_av ) )  THEN
              CALL wrd_write_string( 'pcm_latentrate_av' )
-             WRITE ( 14 )  pcm_latentrate_av
+             WRITE( 14 )  pcm_latentrate_av
           ENDIF
 
           IF ( ALLOCATED( pcm_transpirationrate_av ) )  THEN
              CALL wrd_write_string( 'pcm_transpirationrate_av' )
-             WRITE ( 14 )  pcm_transpirationrate_av
+             WRITE( 14 )  pcm_transpirationrate_av
           ENDIF
 
-       ELSEIF ( restart_data_format_output(1:3) == 'mpi' )  THEN
+       ELSE IF ( restart_data_format_output(1:3) == 'mpi' )  THEN
 
 !
